Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 07 Jul 2020, 12:56
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
PPM2
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 18 [262 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 16, 17, 18 Next
Author Message
bigpup


Joined: 11 Oct 2009
Posts: 13963
Location: S.C. USA

PostPosted: Sat 07 Feb 2015, 20:54    Post subject:  

Quote:
Did you run 1.9.2 (just open and close) before to remove any previous flags?

After doing this "Check Dependencies Installed Packages" from menu->Setup seems to be working OK now.

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Sun 08 Feb 2015, 13:22    Post subject: version 1.9.3  

Came across a harmless but possibly annoying bug, where if a pet is in /root and you click to install it, but then abort when petget asks if you want to install it, the pet is deleted. Not anymore.
Pets from other locations are still deleted from /root when you abort installation.

This fix in the newly uploaded Version 1.9.3
(check first post)


Any other bugs anyone?

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 13963
Location: S.C. USA

PostPosted: Sun 08 Feb 2015, 23:52    Post subject:  

Version 1.9.3

Using in full install of Tahrpup 6.0.1

Seems to be working for me OK.

Not really sure why the classic GUI is even offered anymore.
It is like having two completely different versions of PPM.
Does seem like stepping back in time when using the classic GUI.
One thing about the classic GUI.
It does not scale to full size window very well.
Notice going full window does nothing to change the size of the package list display.
capture18830.png
 Description   
 Filesize   99.65 KB
 Viewed   579 Time(s)

capture18830.png


_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Mon 09 Feb 2015, 00:25    Post subject:  

bigpup wrote:
Not really sure why the classic GUI is even offered anymore.
It is like having two completely different versions of PPM.
Does seem like stepping back in time when using the classic GUI.
One thing about the classic GUI.
It does not scale to full size window very well.
Notice going full window does nothing to change the size of the package list display.


Classic UI was always like that and is going to stay that way (at least concerning my input in it - patches are always welcome).
This is actually the idea, keep the old familiar environment for whoever is using it and is familiar with it.
I'm sure you have seen the apparent age distribution of puppy users and you may find some value in this (even if exceptions in both directions are very common).
I also think that providing the "safety" of the familiar, increases the chances for trying and eventually adopting the new UI.

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 13963
Location: S.C. USA

PostPosted: Mon 09 Feb 2015, 01:18    Post subject:  

Thanks!

I understand.

Some people just will not move on to using the latest.

Why get a new cell phone? Shocked Laughing
Briefcase-273x300.jpg
 Description   
 Filesize   24.59 KB
 Viewed   575 Time(s)

Briefcase-273x300.jpg


_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Mon 09 Feb 2015, 02:01    Post subject:  

bigpup wrote:
Some people just will not move on to using the latest.

Why get a new cell phone? Shocked Laughing

( Very Happy Though this can work with some and alienate others... Wink )

The point is, what is the cost of still having this?
Will damage the puppy image as a "bleeding edge OS"?
Decrease functionality of the new PPM?
Tax maintenance/man power?

On the other hand besides familiarity, I have seen more than once in this 2 month development period the phrase "this is not happening in ui_Classic" Wink

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Wed 11 Feb 2015, 13:43    Post subject:  

Version 1.9.4 is out
See first post

Does not really have any changes other than some under the hood rationalizing (looking to a future integration in woof-CE), and minor editorial changes.
However, you never know where bugs are going to pop-up, so please test if you can.

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 13963
Location: S.C. USA

PostPosted: Thu 12 Feb 2015, 17:36    Post subject:  

Version 1.9.4

Not sure if this is a bug or something wrong with the pet package.
So, this is what I got when trying to install this pet package.

I tried it by installing with PPM and by clicking on the package in Rox file manager.

The pet is from the puppy-noarch repository.
capture7862.png
 Description   
 Filesize   11.11 KB
 Viewed   456 Time(s)

capture7862.png


_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)
Back to top
View user's profile Send private message 
stemsee

Joined: 27 Jun 2013
Posts: 2572
Location: In The Way

PostPosted: Thu 12 Feb 2015, 17:40    Post subject:  

when i tried installing a package, among others, that was already installed, the pop up mesage appeared and disappeared when mouse on, but ppm didn't return to normal. Happened a few times.
Back to top
View user's profile Send private message MSN Messenger 
bigpup


Joined: 11 Oct 2009
Posts: 13963
Location: S.C. USA

PostPosted: Thu 12 Feb 2015, 17:59    Post subject:  

Version 1.9.4

I tried with another package that I had installed in the past with an older version of PPM.
I removed the package using PPM uninstall.
Re-downloaded and tried to install.
Got the same error message as above.

Also, at times after getting the error messages PPM does not reset to normal main window. It seems to lockup.
I have to close window and restart PPM.
capture21565.png
 Description   
 Filesize   139.11 KB
 Viewed   440 Time(s)

capture21565.png

capture9956.png
 Description   
 Filesize   11.77 KB
 Viewed   433 Time(s)

capture9956.png


_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Fri 13 Feb 2015, 02:28    Post subject:  

bigpup wrote:
Version 1.9.4

Not sure if this is a bug or something wrong with the pet package.
So, this is what I got when trying to install this pet package.

I tried it by installing with PPM and by clicking on the package in Rox file manager.

The pet is from the puppy-noarch repository.

Good catch. This is a new check and will fail on older packages. Is fixed now for 1.9.5.

However, 1.9.5 may delay a bit as what you and stemsee also report is a UI freeze upon errors down the process. Is nothing harmful but is just "not nice".
This is likely a gtkdialog issue and without any help may take me some time to figure out and hopefully fix.

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Fri 13 Feb 2015, 06:02    Post subject:  

Version 1.9.5 is out
(see main post)

Above concerns should be addressed in this versions.

Please use/test.
With so many options that it provides, is really hard to test that all conceivable combinations and possible errors run smoothly and without annoyances.

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 11329

PostPosted: Fri 13 Feb 2015, 06:15    Post subject:  

Sorry to butt in but is this really
Pappy Package Manager generation 2. ?

Sorry that users are not up to standard but then so is that title Very Happy

mike
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3628
Location: wales ... by the sea

PostPosted: Fri 13 Feb 2015, 06:32    Post subject:  

should be pippy Cool
_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Fri 13 Feb 2015, 06:56    Post subject:  

mikeb wrote:
Sorry to butt in but is this really
Pappy Package Manager generation 2. ?

Sorry that users are not up to standard but then so is that title Very Happy

mike

After 1 week and more than 1000 views the winner is mikeb
(Originally I thought of "puppu" but does not sound very nice... Twisted Evil )

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 18 [262 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 16, 17, 18 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0599s ][ Queries: 12 (0.0073s) ][ GZIP on ]